<!DOCTYPE html>
<html>
<head>
    <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon">
    <title><?= $title ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit-advanced.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/animate/css/animate.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast-advanced.css">

    <script>window.$csrf=<?= $phpcsrf ?>;</script>
    <script type="text/javascript" src="/app/asset/lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios-advanced.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit-icons.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/izitoast/js/izitoast.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/animate/js/animate.js"></script>
    <script type="text/javascript" src="/angiv/plugin/auth/js/user/modernizr.cookies.js"></script>

<style type="text/css">
#applogo {display: block; margin: 0px auto;}

input
{
    background: transparent;
    border: none; border-bottom: 1px solid #80deea;
    width: 100%;
    height: 40px;
    color: #006064;
    font-size: 18px;
    text-align: center;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    box-sizing: border-box;
}

label
{
    width: 100%;
    left: 30px;
    top: 7px;
    color: #fff;
    line-height: 26px;
    font-size: 20px;
    font-weight: 100;
    cursor: pointer;
    position: absolute;
    z-index: -1;

    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.inputline
{
    width: 0px;
    height: 1px;
    left: 0px;
    bottom: 0px;
    position: absolute;

    -webkit-transition: width 0.3s;
    -moz-transition: width 0.3s;
    -o-transition: width 0.3s;
    transition: width 0.3s;
}
.inputline {background-color: #fff;}

.inputhascontent ~ .inputline {width: 100%;}
.inputhascontent ~ label {top: -15px; font-size: 18px; font-weight: 100;}

.uk-link, a {color: #006064;}
.uk-link:not(.nothover):hover {border-color: #fff !important; color: #fff !important;}

#signin
{
    border: 1px solid #f9f9fb;
    width: 230px;
    height: 48px;
    margin: 50px auto 0px auto;
    padding: 10px 15px;
    color: #fff;
    font-size: 18px;
    text-align: center;
    display: block;
    cursor: pointer;
    position: relative;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    box-sizing: border-box;
}

#signin:hover
{
    background-color: #0097a7;

    -webkit-transition: background-color 1.4s !important;
    -moz-transition: background-color 1.4s !important;
    -o-transition: background-color 1.4s !important;
    transition: background-color 1.4s !important;
}

#signin svg
{
    max-width: unset;
    left: -1px;
    top: -1px;
    position: absolute;
    fill: none;
    stroke: #fff;
    stroke-dasharray: 150 570;
    stroke-dashoffset: 150;

    -webkit-transition: 1s ease-in-out;
    -moz-transition: 1s ease-in-out;
    -o-transition: 1s ease-in-out;
    transition: 1s ease-in-out;
}

#signin:hover svg {stroke-dashoffset: -570;}

@media (max-height: 400px) {
    #contentauth {margin-top: -102px !important;}
    #applogo {display: none;}
    #contentlogin {margin-top: 0px !important;}
}
</style>

<noscript>
    <div class="iziToast flipInX iziToast-theme-dark iziToast-color-red iziToast-animateInside">
        <div class="iziToast-body" style="padding-left: 33px;">
            <i class="iziToast-icon ico-error revealIn"></i>
            <div class="iziToast-texts"><strong class="iziToast-title slideIn"><?= $phptext['enablejs'] ?></strong></div>
        </div>
    </div>
</noscript>

<script>
    $(function() {
        if (Modernizr.cookies === false) {
            iziToast.error({title: '<?= $phptext['enabledcookies'] ?>'});
        }

        $('input')
            .on('blur input', function() {
                var el=this;
                setTimeout(function() {
                    if ($(el).val() == '' || $(el).val() == null) {
                        $(el).removeClass('inputhascontent');
                    } else {$(el).addClass('inputhascontent');}
                }, 300);
            })
            .on('focus', function() {
                $(this).addClass('inputhascontent');
            });

        $('#lockpassword').on('click', function() {
            var el=$('input[name=ADMINPASS]');
            if (el.attr('type') == 'password') {el.attr('type', 'text');} else {el.attr('type', 'password');}
        });

        $('#signin').on('click', function(event) {
            var login=$('input[name=ADMINLOGIN]').val();
            if (!!!login || login == null || login == '') {
                iziToast.info({title: '<?= $phptext['enterlogin'] ?>'});
                animateCSS('#contentlogin', 'headShake').then(() => {$('input[name=ADMINLOGIN]').focus();});
                return true;
            }
            var pass=$('input[name=ADMINPASS]').val();
            if (!!!pass || pass == null || pass == '') {
                iziToast.info({title: '<?= $phptext['enterpass'] ?>'});
                animateCSS('#contentpass', 'headShake').then(() => {$('input[name=ADMINPASS]').focus();});
                return true;
            }

            axios.post('/auth/login', {'login': login, 'pass': pass})
                .then(function(response) {
                    if (response.data.res === true) {
                        //if (window.localStorage) {localStorage.setItem('token', response.data.token);}
                        window.location='<?= $redirecturl ?>';
                    } else {
                        iziToast.warning({title: '<?= $phptext['invalidup'] ?>'});
                    }
                })
                .catch(function(error) {
                    iziToast.show({
                        title: '<?= $phptext['errauth'] ?>',
                        message: '<?= $phptext['againlater'] ?>',
                        icon: 'ico-error',
                        layout: 1,
                        position: 'bottomLeft',
                        transitionOut: 'fadeOutLeft',
                        progressBarColor: '#ef6c00',
                    });
                });

        });
        $('#contentlogin, #contentpass, #signin').keyup(function(event) {
            if (event.which === 13) {$('#signin').click();}
        });

        /*
        $('#testjwtdata').on('click', function(event) {
            event.preventDefault();

            axios.post('/auth/getjwtdata')
                .then(function(response) {
                    console.log(response);
                })
                .catch(function(error) {
                    console.log(error);
                });

        });
        */
    });

    $(window).on('load', function() {
       $.ready.then(function() {
          iziToast.show({
              title: 'Cookies',
              message: '<?= $phptext['cookieuse'] ?>' + '<br />' + '<?= $phptext['cookieagree'] ?>',
              icon: 'ico-info',
              layout: 1,
              position: 'bottomLeft',
              transitionOut: 'fadeOutLeft',
              progressBarColor: '#ef6c00',
          });
       });
    });
</script>

</head>
<body>
    <div class="ang-bg-cyan" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; z-index: -1; top: 0px; left: 0px; position: absolute; overflow: hidden;">
        <div id="contentauth" style="top: 50%; left: 50%; margin: -215px 0px 0px -139px; position: absolute;">
            <img id="applogo" src="/app/asset/image/theme/logo_emblem.png" alt="Angiv" />

            <div id="contentlogin" class="uk-position-relative ang-margin-top50">
                <img class="uk-position-top-left ang-margin-top10 ang-color-white" src="/app/asset/image/theme/icon-user.svg" alt="" uk-svg />
                <input name="ADMINLOGIN" type="text" class="inputhascontent" maxlength="15" autofocus tabindex="1">
                <label><?= $phptext['login'] ?></label>
                <span class="inputline"></span>
            </div>

            <div id="contentpass" class="uk-position-relative ang-margin-top25">
                <img class="uk-position-top-left ang-margin-top10 ang-color-white" src="/app/asset/image/theme/icon-lock.svg" alt="" uk-svg />
                <input name="ADMINPASS" type="password" class="inputhascontent" maxlength="14" tabindex="2">
                <label><?= $phptext['pass'] ?></label>
                <span class="inputline"></span>
                <div id="lockpassword" class="uk-position-top-right ang-margin-top5"><img class="ang-border-dark-cyan uk-link" src="/app/asset/image/theme/icon-star.svg" alt="" uk-svg /></div>
            </div>

            <div id="signin" style="font-weight: 100;" tabindex="3">
                <svg width="229px" height="47px" viewBox="0 0 229 47"><polyline points="229,1 229,47 1,47 1,1 229,1"></polyline><polyline points="229,1 229,47 1,47 1,1 229,1"></polyline></svg>
                <?= $phptext['signin'] ?>
            </div>

            <!-- <a id="testjwtdata" href="#" style="float: right;">Get jwt data</a> -->
        </div>
    </div>

    <div id="wait"></div>
</body>
</html>