<?php

return [
    'name' => 'Official site',
    'icon' => 'icon.png',
    'version' => 0.1,

    'cssuser' => [
        '/system/uikit/css/uikit.min.css',
        '/system/uikit/css/uikit-advanced.css',
        '/system/animate/css/animate.min.css',
        'css/user/header.css'
    ],
    'jsuser' => [
        '/system/jquery/jquery.min.js',
        '/system/uikit/js/uikit.min.js',
        '/system/uikit/js/uikit-icons.min.js',
        '/system/uikit/js/uikit-advanced.js',
        '/system/axios/axios.min.js',
        '/system/axios/axios-advanced.js',
        '/system/lodash/lodash.min.js'
    ],
    'ajaxuser' => ['src/controller/user/ajaxuserController.php'],
    'pagesuser' => [
        [
            'title' => 'Introduction | Angiv CMF',
            'url' => 'introduction',
            'controller' => 'src/controller/user/pagemainController.php',
            'page' => 'view/user/pagemain.php',
            'css' => [
                'css/user/pagemain.css'
            ],
            'js' => [
                'js/user/pagemain.js'
            ],
            'seo' => [
                'description' => __('Modern CMF php open source framework for web development. Content Management Framework.'),
                'keywords' => 'cmf, cmf ru, cmf php, cmf plugins, angiv cmf, cmf framework, content management framework, ' . __('cmfkeywords'),
                'canonicalurl' => 'https://angiv.ru'
            ],
            'ogseo' => [
                'ogsitename' => __('Modern CMF php framework'),
                'ogdescription' => __('Modern CMF php open source framework for web development'),
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ],

        [
            'title' => 'Guide | Angiv CMF',
            'url' => 'guide',
            'controller' => 'src/controller/user/pageguideController.php',
            'page' => 'view/user/pageguide.php',
            'css' => [
                '/custom/highlight/css/highlight.stackoverflow-light.min.css',
                'css/user/pageguide.css'
            ],
            'js' => [
                '/custom/highlight/js/highlight.min.js',
                'js/user/pageguide.js'
            ],
            'seo' => [
                'description' => __('Angiv CMF documentation'),
                'keywords' => 'CMF, cmf, cmf php, cmf html, angiv cmf, content management framework, angiv cmf documentation',
                'canonicalurl' => 'https://angiv.ru/guide'
            ],
            'ogseo' => [
                'ogsitename' => __('Angiv CMF documentation'),
                'ogdescription' => __('Angiv CMF documentation'),
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ],

        [
            'title' => 'Changelog | Angiv CMF',
            'url' => 'changelog',
            'controller' => 'src/controller/user/pagechangelogController.php',
            'page' => 'view/user/pagechangelog.php',
            'seo' => [
                'description' => __('Angiv CMF changelog'),
                'keywords' => 'CMF, cmf, cmf php, cmf html, angiv cmf, content management framework, angiv cmf changelog',
                'canonicalurl' => 'https://angiv.ru/changelog'
            ],
            'ogseo' => [
                'ogsitename' => __('Angiv CMF changelog'),
                'ogdescription' => __('Angiv CMF changelog'),
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ],

        [
            'title' => 'Complicity | Angiv CMF',
            'url' => 'complicity',
            'controller' => 'src/controller/user/pagecomplicityController.php',
            'page' => 'view/user/pagecomplicity.php',
            'css' => [
                'css/user/pagecomplicity.css'
            ],
            'seo' => [
                'description' => __('Angiv CMF complicity'),
                'keywords' => 'CMF, cmf, cmf php, cmf html, angiv cmf, content management framework, angiv cmf complicity',
                'canonicalurl' => 'https://angiv.ru/complicity'
            ],
            'ogseo' => [
                'ogsitename' => __('Angiv CMF complicity'),
                'ogdescription' => __('Angiv CMF complicity'),
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ]
    ]
];