<?php

namespace Plugin\users\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use App\response\customResponse;

class ajaxadminController
{
    /**
     * @route({"url": "adduser", "methods": ["post"]})
     */
    public static function adduser(Request $request, Response $response) {
        $data=$request->getParsedBody();

        try {
            $res=false; $msg=''; $newuserid=null;
            if (is_array($data)) {
                if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                    $tablename=str_replace('"', '', $db->tableQuote('users'));
                    if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                        $data=array_map(function($value) {return ($value === '') ? null : $value;}, $data);
                        if (empty($data['id'])) {
                            if ($db->has('users', ['login' => $data['login']]) === false) {
                                $db->insert('users', $data);
                                if (!$db->error) {
                                    $newuserid=$db->id();
                                    $res=true;
                                } else {$msg=__('Database operation execution error');}
                            } else {$msg=__('User with this login already exists');}
                        } else {
                            $db->update('users', $data, ['id' => $data['id']]);
                            if (!$db->error) {
                                $res=true;
                            } else {$msg=__('Database operation execution error');}
                        }
                    } else {$msg=sprintf(__('Table "%s" does not exist'), $tablename);}
                } else {$msg=__('Connection to database failed');}
            } else {$msg=__('Input parameter error');}

            return customResponse::json($response, ['res' => $res, 'msg' => $msg, 'newuserid' => $newuserid]);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }

    /**
     * @route({"url": "deleteuser[/{userid}]", "methods": ["post"]})
     */
    public static function deleteuser(Request $request, Response $response, $userid = null) {
        try {
            $res=false; $msg=__('Input parameter error');
            if (!empty($userid)) {
                if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                    $tablename=str_replace('"', '', $db->tableQuote('users'));
                    if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                        $db->delete('users', ['id' => $userid]);
                        if (!$db->error) {$res=true;}
                    } else {$msg=sprintf(__('Table "%s" does not exist'), $tablename);}
                } else {$msg=__('Connection to database failed');}
            }

            return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}