$(function() {
    const vueoptions={
        data() {
            return _.merge(window.jsdatacontrolpanel, window.jsdata, {
                'pluginlistpages': [],
                'pluginlistpagesview': '',
                'pluginactiveindx': null
            });
        },

        mounted() {
            var vm=this;

            vm.$nextTick(function () {
                UIkit.util.on('#modallistpages', 'hidden', function () {
                    vm.pluginlistpages=[];
                    vm.pluginlistpagesview='';
                    vm.pluginactiveindx=null;
                });
            });
        },

        computed: {
            usedplugins: function() {
                var vm=this;
                return Object.values(vm.plugins).filter(function(item) {
                    if (item.isused == 'on' || _.indexOf(item.tags, 'alwaysuse') != -1) {return item;}
                });
            }
        },

        methods: {
            divideurl: function(url) {
                var vm=this;
                var urloptions = '';
                var posoptions=url.search(/\[\/|\/{/);
                if (posoptions != -1) {
                    urloptions=url.substring(posoptions);
                    url=url.substring(0, posoptions);
                }
                return '<a href="' + ((vm.pluginlistpagesview == 'admin') ? vm.adminurl : '') + url + '" target="_blank" class="ang-color-white uk-text-bold">' + url + '</a>' +
                       '<i class="ang-color-verylight-grey">' + urloptions + '</i>';
            },

            listpagesuserplugin: function(dir) {
                var vm=this;
                var pindx=_.findIndex(vm.plugins, {'dir': dir});
                if (pindx != -1) {

                    axios.post(vm.adminurl + '/plugins/listpagesuserplugin', {'dir': vm.plugins[pindx].dir})
                        .then(function(response) {
                            vm.pluginactiveindx=pindx;
                            vm.pluginlistpagesview='user';
                            vm.pluginlistpages=response.data;
                            UIkit.modal('#modallistpages').show();
                        })
                        .catch(function(error) {
                            iziToast.error({title: vm.$t('Plugins'), message: vm.$t('Main page select error') + '<br />' + error.response.msg});
                        });

                }
            },

            listpagesadminplugin: function(dir) {
                var vm=this;
                var pindx=_.findIndex(vm.plugins, {'dir': dir});
                if (pindx != -1) {
                    vm.pluginactiveindx=pindx;
                    vm.pluginlistpagesview='admin';
                    vm.pluginlistpages=_.cloneDeep(vm.plugins[pindx].pagesadmin);
                    UIkit.modal('#modallistpages').show();
                }
            },
        }
    }
    Vue.createApp(vueoptions).use(window.vuei18n).mount('#main');
});