<?php

use Slim\{
    Psr7\Request,
    Psr7\Response,
    Views\PhpRenderer,
    Routing\RouteCollectorProxy as Group
};

$app->group('/auth', function(Group $group) use($container) {
    $group->get($_ENV['APP_AUTH_URL'], function (Request $request, Response $response) {
        $phptext=[
            'enablejs' => __('It is recommended to enable JavaScript support'),
            'enabledcookies' => __('Your browser has disabled cookies. Make sure that cookies are enabled'),
            'login' => __('Login'),
            'pass' => __('Password'),
            'signin' => __('Sign in'),
            'enterlogin' => __('Enter login'),
            'enterpass' => __('Enter password'),
            'againlater' => __('Try again later'),
            'invalidup' => __('Invalid username or password'),
            'errauth' => __('Error authentication'),
            'cookieuse' => __('For personalization, Angiv CMF uses cookies,'),
            'cookieagree' => __('by staying on site, you agree to policy their use')
        ];

        $redirecturl=env('APP_AUTH_REDIRECT_URL', '/');
        if ($redirecturl == 'APP_ADMIN_URL') {$redirecturl=env('APP_ADMIN_URL');}

        $renderer=new PhpRenderer(base_path('/angiv/plugin/auth/view/'), ['title' => __('Authorization')]);

        $phpcsrf=(!empty($request) ? $request->getAttribute('csrf_name', '') . '|' . $request->getAttribute('csrf_value', '') : '|');
        $renderer->addAttribute('phpcsrf', '"' . (($phpcsrf == '|') ? '' : $phpcsrf) . '"');

        return $renderer->render($response, 'user/pageauth.php', compact('phptext', 'redirecturl'));
    });
    foreach (routelist('Plugin\auth\src\controller\ajaxauthController') as $item) {
        $route=$group->map($item['methods'], str_replace('//', '/', '/' . $item['url']), $item['action']);
    }
})->
    add($container->get('csrf'));