<?php

use Slim\{
    Psr7\Request,
    Psr7\Response,
    Views\PhpRenderer
};
use App\middleware\roleaccessMiddleware;

$collection=$container->get('collection'); $plugins=$collection['plugins']; $homeurl=$collection['homeurl'];

$phpdatasite=[
    'locale' => $container->get('translator')->getLocale(),
    //'adminurl' => $_ENV['APP_ADMIN_URL'],
    'currenturl' => (!empty($currenturl) ? $currenturl : '')
];

$renderer=new PhpRenderer(base_path('/angiv/plugin/'), ['phpdatasite' => $phpdatasite], '../theme/template.php');
$container->set('viewuser', $renderer);

if (!empty($plugins) && count($plugins) != 0) {
    if ($container->get('uri')['method'] == 'GET') {
        $iscurrentpagereg=false;
        foreach ($plugins as $plugin) {
            if (($plugin['isused'] == 'on' || in_array('alwaysuse', $plugin['tags'])) && (empty($plugin['isremoved']) || $plugin['isremoved'] == 'no')) {
                foreach ($plugin['pagesuser'] as $page) {
                    if (str_starts_with($currenturl, preg_replace("/(\[\/|\/{).*/", '', $page['url'])) !== false) {
                        $pagereg($plugin, $page, 'viewuser');
                        $iscurrentpagereg=true; break 2;
                    }
                }
            }
        }

        if ($iscurrentpagereg === false) {
            foreach ($plugins as $plugin) {
                if (($plugin['isused'] == 'on' || in_array('alwaysuse', $plugin['tags'])) && (empty($plugin['isremoved']) || $plugin['isremoved'] == 'no')) {
                    foreach ($plugin['pagesuser'] as $page) {
                        if ('/' . $plugin['dir'] . $page['url'] == $homeurl) {
                            $pageurl=preg_replace("/^.*?(\[\/|\/{)/", '', $page['url'], -1, $repcount);
                            if ($repcount == 1) {$page['url']=(substr(strrev($page['url']), strlen($pageurl), 2) . $pageurl);} else {$page['url']='/';}
                            $pagereg($plugin, $page, 'viewuser');
                        }
                    }
                }
            }
        }
    }

    if ($container->get('uri')['method'] != 'GET') {
        foreach ($plugins as $plugin) {
            if (!empty($plugin['ajaxuser']) && count($plugin['ajaxuser']) != 0) {
                foreach ($plugin['ajaxuser'] as $ajaxroute) {
                    $ajaxdir=(($ajaxroute[0] != '/') ? $plugin['dir'] : explode('/', $ajaxroute)[1]);
                    $ajaxcontroller='Plugin' . (($ajaxroute[0] != '/') ? ("\\{$plugin['dir']}\\") : '') . str_replace('/', '\\', str_replace('.php', '', $ajaxroute));
                    foreach (routelist($ajaxcontroller) as $ajaxmethod) {
                        $ajaxurl="/{$ajaxdir}/{$ajaxmethod['url']}";
                        if (str_starts_with($currenturl, preg_replace("/(\[\/|\/{).*/", '', $ajaxurl)) !== false) {
                            $ajaxroute=$app->map($ajaxmethod['methods'], $ajaxurl, $ajaxmethod['action']);
                            if (!empty($ajaxmethod['name'])) {$ajaxroute->setName($ajaxmethod['name']);}

                            if (envbool('APP_AUTH_USE') === true && !empty($ajaxmethod['access'])) {
                                if (!in_array('auth', $ajaxmethod['access'])) {
                                    $ajaxroute->add(new roleaccessMiddleware($container, $ajaxmethod['access']));
                                }
                                $ajaxroute->add($container->get('auth'));
                            }
                            if ($ajaxmethod['csrf'] === true) {$ajaxroute->add($container->get('csrf'));}
                        }
                    }
                }
            }
        }
    }
}

if ($homeurl == '' && $container->get('uri')['method'] == 'GET') {
    $app->get('[{url:/}]', function (Request $request, Response $response) {
        $renderer=new PhpRenderer(base_path('/app/admin/view/'), ['title' => __('Empty page')]);
        return $renderer->render($response, 'empty.php');
    });
}