<?php

namespace App\admin\src\controller;

use Slim\Psr7\{
    Request,
    Response,
    Cookies
};
use App\response\customResponse;

class dashboardController
{
    /**
     * @route({"url": "logout", "methods": ["post"]})
     */
    public static function logout(Request $request, Response $response) {
        try {
            $cookies=new Cookies();
            if (!empty($cookies->get('accesstoken')) || isset($_COOKIE['accesstoken'])) {
                $cookies->set('accesstoken', ['value' => '', 'expires' => time() - 3600, 'path' => '/']);
                $response=$response->withHeader('Set-Cookie', $cookies->toHeaders());
                unset($cookies);
                unset($_COOKIE['accesstoken']);
            }

            return customResponse::json($response, true);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}