<?php

namespace App\admin\src\controller;

use Slim\Psr7\{
    Request,
    Response
};
use App\response\customResponse;

class pluginController
{
    /**
     * @route({"url": "getlistplugins", "methods": ["post"]})
     */
    public static function getlistplugins(Request $request, Response $response) {
        try {
            $plugins=[];
            $paths=glob(base_path('/angiv/plugin/*/index.php'), GLOB_NOSORT) ?: [];
            foreach ($paths as $index => $item) {
                $plugin=@include $item;

                $pluginname=$plugin['name'] ?? ucfirst(basename(dirname($item)));
                if (mb_detect_encoding($pluginname, 'UTF-8', true) === false) {$pluginname=iconv('windows-1251', 'utf-8', $pluginname);}
                $plugins[]=[
                    'dir' => basename(dirname($item)),
                    'name' => $pluginname, //(!empty($plugin['name'])) ? $plugin['name'] : __('No name'),
                    'icon' => $plugin['icon'] ?? '',
                    'version' => $plugin['version'] ?? '',
                    'tags' => $plugin['tags'] ?? [],
                    'scriptdatabase' => $plugin['scriptdatabase'] ?? '',
                    'isremoved' => 'no',
                    'isused' => 'off',
                    'homeurl' => '',
                    'priority' => $index + 1
                ];
            }

            $res=['res' => true, 'plugins' => $plugins];
            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }

    /**
     * @route({"url": "saveplugins", "methods": ["post"]})
     */
    public static function saveplugins(Request $request, Response $response) {
        $data=$request->getParsedBody();

        try {
            $res=false;
            if (is_array($data)) {
                if ($filejson=fopen(base_path('/angiv/plugin/plugins.json'), 'w')) {
                    foreach ($data as $key1 => $plugin) {
                        unset($data[$key1]['isremoved']);
                        unset($data[$key1]['pagesusercount']);
                        unset($data[$key1]['pagesadmincount']);
                    }
                    usort($data, function ($item1, $item2) {
                        return ($item1['priority'] <= $item2['priority']) ? -1 : 1;
                    });
                    fwrite($filejson, json_encode($data, JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_NUMERIC_CHECK | JSON_PRESERVE_ZERO_FRACTION));
                    fclose($filejson);
                    $res=true;
                }
            }

            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }

    /**
     * @route({"url": "listpagesuserplugin", "methods": ["post"]})
     */
    public static function listpagesuserplugin(Request $request, Response $response) {
        $data=$request->getParsedBody();

        try {
            $pagesuser=[];
            $plugininfo=@include base_path('/angiv/plugin/' . $data['dir'] . '/index.php');
            if (!empty($plugininfo['pagesuser']) && count($plugininfo['pagesuser']) != 0) {
                foreach ($plugininfo['pagesuser'] as $page) {
                    if (!empty($page['url']) && !empty($page['controller'])) {
                        $title=(!empty($page['title'])) ? __($page['title']) : $page['url'];
                        $url=str_replace('//', '/', '/' . $page['url']);
                        $pagesuser[]=['title' => $title, 'url' => $url];
                    }
                }
            }

            return customResponse::json($response, $pagesuser);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}