<!DOCTYPE html>
<html>
<head>
    <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon">
    <title><?= $title ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit-advanced.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast-advanced.css">
<?php foreach ($css ?? [] as $item) {echo sprintf('    <link rel="stylesheet" type="text/css" href="%s"' . (($item['attr'] == 'async') ? (' media="none" onload="if(media!=\'all\'){media=\'all\';this.onload=null;}"><noscript><link rel="stylesheet" type="text/css" href="%s"></noscript') : '') . '>', $item['href'], $item['href']), PHP_EOL;} ?>
    <link rel="stylesheet" type="text/css" href="/app/admin/theme/css/template.css">

    <script>window.$csrf=<?= $phpcsrf ?>;</script>
    <script type="text/javascript" src="/app/asset/lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue.global.prod.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue-i18n.global.prod.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios-advanced.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit-icons.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit-advanced.js"></script>
    <script type="text/javascript" src="/app/asset/lib/lodash/lodash.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/izitoast/js/izitoast.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/stimed/stimed.min.js"></script>
<?php foreach ($js ?? [] as $item) {echo sprintf('    <script type="%s" src="%s"%s></script>', $item['type'], $item['src'], $item['attr']), PHP_EOL;} ?>
    <script type="module" src="/app/admin/theme/js/template.js"></script>
</head>
<body>
    <div id="admin" v-cloak>
        <i id="headercontrol" class="uk-icon-button uk-position-top-center uk-link ang-color-dark-cyan" uk-icon="code" style="width: 36px;" @click.prevent="headercontrol()"></i>
        <div id="header" uk-sticky="show-on-up: true; animation: uk-animation-slide-top-medium; media: 767;">
            <div class="uk-container uk-width-1-1">
                <nav class="uk-navbar-container uk-navbar-transparent ang-padding-top15 ang-padding-bottom15" :class="{'uk-height-1-1': pluginindxcurrenturl == -1}" uk-navbar>
                    <div class="uk-navbar-left">
                        <div id="hamburger">
                            <div class="hamburger-content"><div class="hamburger-line"></div></div>
                            <h3 class="uk-margin-remove ang-color-white uk-text-light uk-position-center uk-text-nowrap" style="left: 70px;"><?= $title ?></h3>
                        </div>
                    </div>

                    <div class="uk-navbar-right">
                        <ul class="uk-iconnav">
                            <li><a href="/" target="_blank" class="uk-icon-button nothover" uk-icon="home" :uk-tooltip="$t('Go to site')"></a></li>

                            <li v-if="(authuse === true)"><div class="uk-icon-button ang-color-white uk-link nothover" uk-icon="sign-out" :uk-tooltip="$t('Logout')" @click.prevent="logout()"></div></li>

                            <li class="uk-flex uk-flex-middle uk-visible@s">
                                <h4 class="uk-margin-remove ang-color-white" v-if="(!vuejwtdata || vuejwtdata.length == 0)"></h4>
                                <h4 class="uk-margin-remove ang-color-white" v-else>{{ $t(vuejwtdata.data.authlogin) }}</h4>
                            </li>
                        </ul>
                    </div>
                </nav>

                <nav id="headernav" class="uk-navbar-container uk-navbar-transparent" uk-navbar v-if="(pluginindxcurrenturl != -1)">
                    <div class="uk-text-center" v-for="item in plugins[pluginindxcurrenturl].pagesadmin">
                        <a :href="adminurl + divideurl(item.url)" class="uk-navbar-item nothover" :class="{'uk-active': currenturl == adminurl + item.url}">{{ item.title }}</a>
                    </div>

                    <div class="uk-navbar-right uk-text-center" v-if="(plugins[pluginindxcurrenturl].pagesusercount > 0)">
                        <a :href="adminurl + '/sitepages/' + plugins[pluginindxcurrenturl].dir" class="uk-navbar-item nothover" :class="{'uk-active': currenturl == adminurl + '/sitepages/' + plugins[pluginindxcurrenturl].dir}">{{ $t('Site pages') }}</a>
                    </div>
                </nav>

                <div class="uk-position-bottom-right ang-margin-right10 ang-margin-bottom5 ang-color-white uk-visible@m" style="font-size: 14px; opacity: 0.6;">
                    <span id="headerclock"></span>
                    <span id="headerdate" class="ang-margin-left10"></span>
                </div>
            </div>
        </div>

        <i id="slidemenucontrol" class="uk-icon-button uk-position-fixed uk-link ang-color-dark-cyan" uk-icon="code" @click.prevent="slidemenucontrol()"></i>
        <div id="slidemenu" uk-offcanvas="overlay: true">
            <div class="uk-offcanvas-bar ang-padding30 ang-padding-left50">
                <button class="uk-offcanvas-close" type="button" style="top: 10px;right: 10px;" uk-close></button>

                <ul class="uk-nav-default uk-nav-parent-icon" uk-nav="multiple: true">
                    <li>
                        <a :href="adminurl">
                            <i class="ang-margin-right5" uk-icon="thumbnails"></i>
                            <div class="uk-position-relative">
                                {{ $t('Control panel') }}
                                <span class="uk-badge" style="color: #fff !important;">{{ usedplugins.length }}</span>
                            </div>
                        </a>
                    </li>
                    <li class="uk-nav-divider"></li>

                    <li class="uk-parent">
                        <a href="#"><i class="ang-margin-right5" uk-icon="users"></i>{{ $t('Access') }}</a>
                        <ul class="uk-nav-sub ang-padding-top-remove ang-padding-left30">
                            <li><a :href="adminurl + '/users'">{{ $t('Users') }}</a></li>
                            <li><a :href="adminurl + '/roles'">{{ $t('Roles') }}</a></li>
                        </ul>
                    </li>
                    <li class="uk-nav-divider"></li>

                    <li class="uk-parent">
                        <a href="#"><i class="ang-margin-right5" uk-icon="cog"></i>{{ $t('System') }}</a>
                        <ul class="uk-nav-sub ang-padding-top-remove ang-padding-left30">
                            <li>
                                <a :href="adminurl + '/plugins'">
                                    <div class="uk-position-relative">
                                        {{ $t('Plugins') }}
                                        <span class="uk-badge" style="color: #fff !important;">{{ plugins.length }}</span>
                                    </div>
                                </a>
                            </li>
                            <li v-if="(settingsshow != false)"><a :href="adminurl + '/settings'">{{ $t('Settings') }}</a></li>
                            <li><a :href="adminurl + '/infos'">{{ $t('Information') }}</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>

        <div class="uk-container ang-margin20 ang-margin-bottom-remove">
            <button type="button" href="#toggle-animation" class="uk-button uk-button-default ang-padding-left10 ang-padding-right10 uk-link uk-float-right" uk-toggle="target: #vuedatacontrolpanel; animation: uk-animation-fade, uk-animation-slide-bottom;" :uk-tooltip="$t('Vue-data control panel')">
                <i class="ang-color-light-grey" uk-icon="settings"></i>
            </button>
            <pre id="vuedatacontrolpanel" class="uk-button-default ang-margin-top50 ang-margin-bottom20" hidden>{{ $data }}</pre>
        </div>
    </div>

    <div id="main" class="uk-container ang-margin20 ang-margin-top20">
        <?= $content ?>

        <div class="uk-container ang-margin-top20 ang-margin-bottom20" style="display: none;" v-show="true">
            <button type="button" href="#toggle-animation" class="uk-button uk-button-default ang-padding-left10 ang-padding-right10 uk-link uk-float-right" uk-toggle="target: #vuedata; animation: uk-animation-fade, uk-animation-slide-bottom;" :uk-tooltip="$t('Vue-data')">
                <i class="ang-color-light-grey" uk-icon="settings"></i>
            </button>
            <pre id="vuedata" class="uk-button-default ang-margin-top50" hidden>{{ $data }}</pre>
        </div>
    </div>

    <div id="wait"></div>

    <script>
        window.jsdatacontrolpanel=<?= json_encode($phpdatacontrolpanel ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
        window.jsjwtdata=<?= json_encode($phpjwtdata ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
        window.jsdata=<?= json_encode($phpdata ?? [], JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
    </script>
</body>
</html>