<div v-cloak>
    <div class="uk-text-center">
        <h3>{{ $t('Control panel') }}</h3>
        <h5 class="uk-margin-remove" v-if="(usedplugins.length == 0)">{{ $t('No plugins activated') }}</h5>
    </div>

    <div id="plugins" class="uk-grid-match uk-child-width-1-2@m uk-child-width-1-3@l uk-child-width-1-4@xl" uk-grid>
        <div class="uk-position-relative" v-for="(plugin, index) in usedplugins">
            <div class="pluginitem ang-panel normal" :class="{'nopagesadminuser': ((plugin.pagesusercount == 0 && plugin.pagesadmincount == 0) || plugin.isremoved == 'yes'), 'removed': (plugin.isremoved == 'yes')}" :style="{'opacity': (plugin.pagesusercount + plugin.pagesadmincount > 0) ? 1 : 0.2}">
                <div class="icocontent">
                    <div class="icoshadow"></div>
                    <div class="icotriangle">
                        <span class="uk-position-bottom-left ang-margin-bottom5 uk-text-center" style="width: 75%;">v {{ plugin.version }}</span>
                    </div>
                    <div class="uk-position-center-left ang-margin-left10">
                        <img class="uk-border-circle" width="50" height="50" :src="(plugin.icon != '' && plugin.icon != null && plugin.isremoved != 'yes') ? ('/angiv/plugin/' + plugin.dir + '/' + plugin.icon) : '/app/asset/image/theme/noplugin.png'" alt="" />
                    </div>
                </div>

                <div class="titlecontent">
                    <div class="titleshadow uk-visible-large"></div>
                    <h4 class="uk-text-truncate ang-margin-top15 ang-margin-bottom3">
                        <a :href="adminurl + plugin.pagesadmin[0].url" v-if="(plugin.pagesadmin.length != 0 && plugin.isremoved == 'no')">{{ plugin.name }}</a>
                        <span v-else>{{ plugin.name }}</span>
                    </h4>

                    <p class="uk-text-meta uk-text-truncate uk-margin-remove"><i class="ang-margin-right3" uk-icon="server"></i>{{ plugin.dir }}</p>

                    <span class="uk-badge ang-bg-dark-red uk-position-top-right ang-margin5" v-if="(plugin.isremoved == 'yes')">{{ $t('Plugin removed') }}</span>
                    <span class="uk-badge ang-bg-bluegrey uk-position-top-right ang-margin5" v-if="(plugin.pagesusercount == 0 && plugin.pagesadmincount == 0 && plugin.isremoved == 'no')">{{ $t('No pages') }}</span>
                </div>

                <div class="uk-position-center-right uk-overflow-hidden" style="border-left: 1px solid #bdbdbd; width: 35px; height: 70%;" @click.prevent="listpagesuserplugin(plugin.dir)" :uk-tooltip="$t('Site pages')" v-show="(plugin.pagesusercount != 0 && plugin.isremoved == 'no')">
                    <img class="uk-link" src="/app/asset/image/theme/icon-screen.svg" width="32" height="32" uk-svg style="margin-top: 14px; left: -10px; position: relative;" />
                </div>

                <div class="uk-position-center-right uk-overflow-hidden" style="border-right: 1px solid #bdbdbd; width: 35px; height: 70%; right: 34px;" @click.prevent="listpagesadminplugin(plugin.dir)" :uk-tooltip="$t('Control panel pages')" v-show="(plugin.pagesadmincount != 0 && plugin.isremoved == 'no')">
                    <img class="uk-link" src="/app/asset/image/theme/icon-cog.svg" width="28" height="28" uk-svg style="margin-top: 16px; right: -10px; position: relative;" />
                </div>
            </div>
        </div>
    </div>

    <div id="modallistpages" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h4>{{ (pluginlistpagesview == 'admin') ? $t('List of control panel pages') : $t('List of site pages') }}</h4>
            </div>

            <div class="uk-modal-body ang-padding-top10 ang-padding-bottom10">
                <h3 class="uk-heading-line uk-text-center uk-margin-remove" style="line-height: unset;" v-if="(pluginactiveindx != null)">
                    <span>{{ $t('Plugin') }} &quot;{{ plugins[pluginactiveindx].name }}&quot;</span>
                </h3>
                <ul class="uk-list ang-margin10">
                    <li class="uk-text-center" v-if="(!pluginlistpages || pluginlistpages.length == 0)">
                        {{ $t('No data available') }}
                    </li>
                    <li v-for="(item, index) in pluginlistpages" v-else>
                        <label class="uk-width-1-1">{{ item.title }}<span class="uk-badge uk-float-right" v-html="divideurl(item.url)"></span></label>
                    </li>
                </ul>
            </div>

            <div class="uk-modal-footer uk-text-right">
                <button class="ang-button ang-button-minor uk-modal-close">{{ $t('Close') }}</button>
            </div>
        </div>
    </div>
</div>