<?php

namespace App\installer\src\controller;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;
use App\response\customResponse;

class ajaxController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    /**
     * @route({"url": "install", "methods": ["post"]})
     */
    public function install(Request $request, Response $response) {
        if (empty($json=$request->getParsedBody())) {
            $json=json_decode(file_get_contents('php://input'), true);
        }

        try {
            $locale=$json['APP_LOCALE'];
            $translator=$this->container->get('translator');
            if ($json['APP_LOCALE'] == 'auto') {
                $json['APP_LOCALE']=$translator->getLocale();
            } else {
                if ($json['APP_LOCALE'] != $translator->getLocale()) {
                    $filelang=base_path("/app/installer/asset/language/{$json['APP_LOCALE']}/server.php");
                    if (is_file($filelang) && is_readable($filelang)) {$translator->addResource('php', $filelang, $json['APP_LOCALE']);}
                }
            }

            $json['APP_TIMEZONE']=($json['APP_LOCALE'] == 'en_US') ? 'America/Los_Angeles' : 'Europe/Moscow';
            if ($fileenv=fopen(base_path('/angiv/config/config.env'), 'w')) {
                fwrite($fileenv, '#--------------- ' . __('Error processing', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_DEBUG_USE=' . (evalbool($json['APP_DEBUG_USE']) === true || $json['APP_DEBUG_USE'] == 1 ? 'true' : 'false') . ' # ' . __('error output', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DEBUG_WHOOPS=false # ' . __('visual display error', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Logging', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_LOG_USE=true # ' . __('error logging', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_LOG_NAME="Angiv" # ' . __('channel name', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_LOG_HTML=true # '. __('formation data into html-table', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_LOG_AUTH=false # ' . __('authorization logging', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_LOG_ROUTES=false # ' . __('routes logging', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Control panel', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_ADMIN_USE=true # ' . __('control panel use', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_ADMIN_URL="' . $json['APP_ADMIN_URL'] . '" # ' . __('url-address control panel', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_ADMIN_SHOW_SETTINGS=true # ' . __('show settings in control panel', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Authorization', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_USE=true # ' . __('authorization using', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_URL="welcome" # ' . __('url-address authorization', $json['APP_LOCALE']) . ' (https://' . __('domain name', $json['APP_LOCALE']) . '/auth/welcome)' . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_EXP=0 # ' . __('authorization expiration time in seconds (0 - when closing browser)', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_SECRET="supersecretkeyyoushouldnotshowittooutsiders" # ' . __('secret key', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_REDIRECT_URL="APP_ADMIN_URL" # ' . __('redirection during authorization', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Users', $json['APP_LOCALE']) . ' (phppasswordhash.com) ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_USER_admin="$2y$10$2hLSDFUNPqbe5WG/bWRSMebLxCHkkJtR7AWHUa9ztzYvPbc9CNu42" # ' . __('password', $json['APP_LOCALE']) . ' - admin' . PHP_EOL);
                fwrite($fileenv, 'APP_AUTH_USER_guest="$2y$10$59m55tfka4hb0jcFLNHfMeFP/gOjbH.ubgKwDjxo9TDYdoRlBvybe, guest@angiv.ru" # ' . __('password', $json['APP_LOCALE']) . ' - qwerty' . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Permissions', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_PERM_ROLE_control_panel="admin" # ' . __('access to control panel', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, '#APP_PERM_ROLE_hello_page_view="admin" # ' . __('access to site pages hello plugin', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_PERM_ROLE_hello_ajax_exec="admin, guest" # ' . __('access to ajax-requests hello plugin', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Ip-address manager', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_PERM_IP_WHITE="::1, 10.0.0.0/8, 172.16.0.0/16, 192.168.1.0/24, all" # ' . __('white list ip-addresses', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_PERM_IP_BLACK="127.0.0.1" # ' . __('black list ip-addresses', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Regional settings', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_LOCALE="' . $locale . '" # ' . __('user language', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_TIMEZONE="' . $json['APP_TIMEZONE'] . '" # ' . __('timezone', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_LOCALE_ADMIN="' . $json['APP_LOCALE'] . '" # ' . __('control panel language', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Caching', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_CACHE_USE=false # ' . __('caching container, proxy, routes', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Database', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_USE=false # ' . __('database using', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_HOST="localhost" # ' . __('server name or ip-address', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_PORT="3306" # ' . __('port', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_NAME="angiv" # ' . __('database name', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_USER="username" # ' . __('user name', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_PASSWORD="userpassword" # ' . __('your password', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_DATABASE_PREFIX="ang_" # ' . __('table prefix', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, PHP_EOL);
                fwrite($fileenv, '#--------------- ' . __('Mail', $json['APP_LOCALE']) . ' ---------------' . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_USE=false # ' . __('using mail (requires php 8.1)', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_TYPE="smtp" # ' . __('sending method', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_HOST="smtp.mailserver.org" # ' . __('server', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_PORT="25" # ' . __('port', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_USER="username" # ' . __('mailbox', $json['APP_LOCALE']) . PHP_EOL);
                fwrite($fileenv, 'APP_MAIL_PASSWORD="userpassword" # ' . __('password', $json['APP_LOCALE']));
                fclose($fileenv);
                $res=true;
            } else {$res=false;}

            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}