<?php

namespace App\middleware;

use Slim\{
    Psr7\Request,
    Psr7\Response
};
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;
use DI\Container;
use App\response\customResponse;

class roleaccessMiddleware
{
    protected $container;
    protected $settings;
    protected $ispage;

    public function __construct(Container $container, array $settings = [], $ispage = false) {
        $this->container=$container;
        $this->settings=array_map('trim', $settings);
        $this->ispage=$ispage;
    }

    public function __invoke(Request $request, RequestHandler $handler) {
        $access=false;
        if (!empty($this->settings) && !empty($request->getAttribute('jwtdata'))) {
            if (!empty($currentlogin=strtolower($request->getAttribute('jwtdata')['data']->authlogin))) {
                foreach ($this->settings as $role) {
                    if (($users=env('APP_PERM_ROLE_' . $role, '')) != '') {
                        if (in_array($currentlogin, array_map('trim', explode(',', strtolower($users))))) {
                            $access=true; break;
                        }
                    }

                    if (!empty($db=$this->container->get('database'))) {
                        $tablename=str_replace('"', '', $db->tableQuote('users'));
                        if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                            //if ($db->count('users', ['AND' => ['login' => $currentlogin, 'roles[~]' => "%$role%"]]) != 0) {
                            $rolesdb=$db->select('users', ['roles'], ['login' => $currentlogin]);
                            if (!empty($rolesdb) && count($rolesdb) !== 0) {
                                if (!empty($rolesdb[0]['roles'])) {
                                    if (in_array($role, array_map('trim', explode(',', strtolower($rolesdb[0]['roles']))))) {
                                        $access=true; break;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        if ($access === false) {
            $response=new Response();
            if ($this->ispage === true) {
                return $response->withHeader('Location', '/403')->withStatus(307);
            } else {
                $arguments['message']=__('Unfortunately, you do not have rights to access this resource');
                return customResponse::json($response, $arguments, 403);
            }
        } else {
            return $handler->handle($request);
        }
    }
}